apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: {{.Values.deployment.name}}-xnat-ingress
  annotations:

    # NGINX specific settings
    # kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/rewrite-target: /
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "600"

spec:
  tls:
  - hosts:
      - {{.Values.deployment.host}}
    secretName: {{.Values.deployment.host}}
  rules:
  - host:  {{.Values.deployment.host}}
    http:
      paths:
      - backend:
          serviceName:  {{.Values.deployment.name}}-xnat-nginx
          servicePort: 80
